6.0.0-git
2020-09-18
Last Modified 2006-01-12 by Michael Slusarz

Backward Compatibility Breaking Horde Issues (aka Horde 4.0 TODO)

  • Fix cloning behavior (See Bug 1410).
    • Remove deprecated code in IMAP_Tree::.
    • Move IMP_IMAPClient:: to Horde.
    • Merge IMP_Thread:: to IMAP_Thread::.
    • Encrypt deprecations in Horde_Crypt_pgp::.
    • Use one place for clear text sendmail error messages.
    • rename files in imp/templates/prefs to more sensibe defaults (e.g. draftsfolderselect.inc, not folderselect.inc)
    • Remove deprecated code in MIME_Headers::
    • Remove $foo = &new Foo(); calls and replace with $foo = new Foo(); - The former is deprecated as of PHP 5 and causes errors when strict code checking is on.
    • Remove IMP_Template::.